知乎 · 评论

回答或想法的评论

传入回答链接、回答 ID 或想法链接,返回每条内容下的评论,含文本、点赞数、回复数、时间、IP 属地和评论者资料。

POST/v1/zhihu/comments

$0.00359每条

1,000 条
≈ $3.59
每页(10 条)最低
$0.001298

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/zhihu/comments" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"answers":["https://www.zhihu.com/pin/2088708186954121961"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "comment",
      "commentId": "11596346491",
      "answerId": null,
      "pinId": "2088708186954121961",
      "parentCommentId": null,
      "replyToCommentId": null,
      "text": "[赞][赞]每天都有进步",
      "likeCount": 1,
      "replyCount": 1,
      "isPinned": false,
      "isByContentAuthor": "<masked>",
      "createdAt": "2026-10-14T02:34:36Z",
      "author": "<masked>",
      "authorId": "<masked>",
      "authorUrlToken": "<mas…",
      "authorAvatar": "<masked>",
      "authorHeadline": "<masked>",
      "authorGender": null,
      "authorFollowerCount": null,
      "authorVerification": null,
      "authorIpLocation": "<masked>"
    },
    {
      "type": "comment",
      "commentId": "11596226699",
      "answerId": null,
      "pinId": "2088708186954121961",
      "parentCommentId": null,
      "replyToCommentId": null,
      "text": "和我写知乎复盘的时间差不多[捂嘴]",
      "likeCount": 1,
      "replyCount": 1,
      "isPinned": false,
      "isByContentAuthor": "<masked>",
      "createdAt": "2026-10-13T19:36:45Z",
      "author": "<masked>",
      "authorId": "<masked>",
      "authorUrlToken": "<mas…",
      "authorAvatar": "<masked>",
      "authorHeadline": "<masked>",
      "authorGender": "<masked>",
      "authorFollowerCount": null,
      "authorVerification": null,
      "authorIpLocation": "<masked>"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.007180",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 21

字段类型示例值
typestringcomment
commentIdstring11596346491
answerIdnullnull
pinIdstring2088708186954121961
parentCommentIdnullnull
replyToCommentIdnullnull
textstring[赞][赞]每天都有进步
likeCountnumber1
replyCountnumber1
isPinnedbooleanfalse
isByContentAuthorstring<masked>
createdAtstring2026-10-14T02:34:36Z
authorstring<masked>
authorIdstring<masked>
authorUrlTokenstring<masked>
authorAvatarstring<masked>
authorHeadlinestring<masked>
authorGendernullnull
authorFollowerCountnullnull
authorVerificationnullnull
authorIpLocationstring<masked>

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。一次请求返回的条数不会超过这个数。5
answersarray是回答链接(https://www.zhihu.com/question/<id>/answer/<id>)或回答 ID;传想法链接(https://www.zhihu.com/pin/<id>)则读取该想法的评论。["https://www.zhihu.com/pin/208870818695…

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"answers":["https://www.zhihu.com/pin/2088708186954121961"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/zhihu/comments", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 10 条,每页最低收费 $0.001298;要 100 条的请求会取 10 页。

  • 1 条:最多 $0.00359
  • 20 条:最多 $0.0718
  • 100 条:最多 $0.359

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「回答或想法的评论」要传哪些参数?

必填:answers。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.00359。每页最低收费 $0.001298:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.359。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。